# Profil

## Nastavení účtu

Uživatelé si mohou prohlížet a upravovat své osobní údaje v sekci **Profil**:

<center>
<img src="/img/profile-account.png" class="shadow" width="500px">
</center>

## Uživatelské jméno

Uživatelské jméno slouží k přihlášení do Dashboardu a aplikací. Uživatelské jméno nelze změnit. Pokud chcete změnit uživatelské jméno, musí administrátor smazat starý účet a vytvořit nový.

## Zobrazené jméno

Zobrazené jméno je jméno a příjmení uživatele.

Zobrazené jméno nelze změnit, pokud správce uzamkl profily uživatelů nebo pokud je uživatel spravován z externího adresáře.

## Primární e-mail

Primární e-mail je ten, který je používán aplikacemi. Aplikace mohou na tuto e-mailovou adresu zasílat oznámení. Primární e-mail může být nastaven na e-mailovou adresu hostovanou na OSCloud.

Primární e-mail nelze změnit, pokud správce uzamkl profily uživatelů nebo pokud je uživatel spravován z externího adresáře.

## E-mail pro obnovu hesla

E-mail pro obnovu hesla je adresa, na kterou jsou zasílány odkazy pro resetování hesla na OSCloud. Tento e-mail by měl být nastaven na adresu, která není hostována na OSCloud. Pokud není zadán, automaticky se použije primární e-mail.

E-mail pro obnovu hesla nelze změnit, pokud správce uzamkl profily uživatelů nebo pokud je uživatel spravován z externího adresáře.

## Ikona

Ikonu profilu nebo gravatar uživatele lze změnit kliknutím na ikonu profilu.

<center>
<img src="/img/profile_avatar.png" class="shadow" width="500px">
</center>

## Obrázek na pozadí

Obrázek na pozadí pro dashboard lze nastavit pomocí tlačítka **Nastavit obrázek na pozadí**. Po nastavení bude dashboard mít vlastní pozadí.

## Aktivace dvoufázového ověření (2FA)

Dvoufázové ověření lze aktivovat kliknutím na tlačítko **Aktivovat 2FA** v profilu v dashboardu. Po kliknutí se zobrazí QR kód, který lze naskenovat pomocí aplikací jako Google Authenticator (Android, iOS) nebo FreeOTP Authenticator (Android, iOS).

2FA nelze aktivovat, pokud uživatel používá externí adresář, který podporuje dvoufázové ověření, např. při ověřování proti jinému serveru adresářů OSCloud.

## Deaktivace dvoufázového ověření (2FA)

Uživatelé mohou deaktivovat 2FA kliknutím na tlačítko **Deaktivovat 2FA**. Pokud uživatel ztratí své 2FA zařízení, může administrátor OSCloud resetovat nastavení 2FA.

## Hesla aplikací

Hesla aplikací lze použít jako bezpečnostní opatření v desktopových, e-mailových a mobilních klientech. Například pokud používáte novou mobilní aplikaci od nedůvěryhodného dodavatele, můžete vytvořit dočasné heslo, které poskytne přístup pouze k jedné konkrétní aplikaci. Tímto způsobem není vaše hlavní heslo vystaveno riziku (a tedy přístup k jiným aplikacím).

Klikněte na tlačítko **Nové heslo**, abyste vytvořili nové heslo aplikace. Heslo můžete kdykoliv odstranit ze seznamu hesel.

## API tokeny

API tokeny OSCloud mohou být vytvořeny v zobrazení profilu kliknutím na **Nový API token**. 

API tokeny mohou být vytvořeny s oprávněním pouze ke čtení, nebo s oprávněním k zápisu a čtení. Tokeny mohou být zobrazeny a zneplatněny ze seznamu tokenů.

## Jazyk

Uživatelé si mohou nastavit preferovaný jazyk pro dashboard OSCloud pomocí volby **Jazyk**.
